---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: main
spec:
  selector:
    matchLabels:
      container: main
  template:
    metadata:
      labels:
        container: main
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: citadel
    spec:
      containers:
      - env:
        - name: API_URL
          value: https://lightningnetwork.plus/api/2/
        - name: CERTIFICATE_PATH
          value: /lnd/tls.cert
        - name: CONFIG_PATH
          value: /lnd/lnd.conf
        - name: LN_IMPLEMENTATION
          value: LND
        - name: LN_SERVER_URL
          value: service.lnd.admin.nirvati:10009/
        - name: MACAROON_PATH
          value: /lnd/data/chain/bitcoin/mainnet/admin.macaroon
        - name: RAILS_ENV
          value: development
        image: lightningnetworkplus/lnpclient:v0.1.23@sha256:87812db57da64a223adfa7d3fe9f47e5f86a2900a40ba286f7bc572fc9a77a6d
        name: main
        volumeMounts:
        - mountPath: /lnd
          name: host-home-citadel-citadel-app-data-lnd-lnd
      terminationGracePeriodSeconds: 60
      volumes:
      - hostPath:
          path: /home/citadel/citadel/app-data/lnd/lnd
        name: host-home-citadel-citadel-app-data-lnd-lnd

